curl --request PUT \
--url https://api.proced.ai/projects/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Project Title",
"startedAt": "2024-02-01T10:00:00.000Z",
"dueAt": "2025-01-31T18:00:00.000Z"
}
'import requests
url = "https://api.proced.ai/projects/{id}"
payload = {
"name": "Updated Project Title",
"startedAt": "2024-02-01T10:00:00.000Z",
"dueAt": "2025-01-31T18:00:00.000Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Updated Project Title',
startedAt: '2024-02-01T10:00:00.000Z',
dueAt: '2025-01-31T18:00:00.000Z'
})
};
fetch('https://api.proced.ai/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cm2uqwcpd002s7xta3b1j8q3p",
"name": "New Project Title",
"workspaceId": "cm2uj5ffn001x7xtag73jmpx0",
"startedAt": "2024-01-15T08:00:00.000Z",
"dueAt": "2024-12-31T17:00:00.000Z",
"createdAt": "2024-01-01T09:00:00.000Z"
}{
"code": "disconnected",
"message": "The login details of this item have changed (credentials, MFA, or required user action) and a user login is required to update this information.",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}Update Project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
"cm0upgshc000rwf5eop1u2awr"
Body
The updated name or title of the project
"Updated Project Title"
The updated starting date and time of the project
"2024-02-01T10:00:00.000Z"
The updated due date and time for the project
"2025-01-31T18:00:00.000Z"
Response
Update Project
Unique project ID, typically generated automatically
"cm2uqwcpd002s7xta3b1j8q3p"
The name or title of the project
"New Project Title"
Workspace ID to which the project belongs
"cm2uj5ffn001x7xtag73jmpx0"
The starting date and time of the project
"2024-01-15T08:00:00.000Z"
The due date and time for the project
"2024-12-31T17:00:00.000Z"
The creation date and time of the project, set automatically
"2024-01-01T09:00:00.000Z"